NSRIObjectIdentifiers (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.nsri

## Interface NSRIObjectIdentifiers

-     public interface NSRIObjectIdentifiers

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1ObjectIdentifier` | `id_algorithm`
    `static ASN1ObjectIdentifier` | `id_aria128_cbc`
    `static ASN1ObjectIdentifier` | `id_aria128_ccm`
    `static ASN1ObjectIdentifier` | `id_aria128_cfb`
    `static ASN1ObjectIdentifier` | `id_aria128_cmac`
    `static ASN1ObjectIdentifier` | `id_aria128_ctr`
    `static ASN1ObjectIdentifier` | `id_aria128_ecb`
    `static ASN1ObjectIdentifier` | `id_aria128_gcm`
    `static ASN1ObjectIdentifier` | `id_aria128_kw`
    `static ASN1ObjectIdentifier` | `id_aria128_kwp`
    `static ASN1ObjectIdentifier` | `id_aria128_ocb2`
    `static ASN1ObjectIdentifier` | `id_aria128_ofb`
    `static ASN1ObjectIdentifier` | `id_aria192_cbc`
    `static ASN1ObjectIdentifier` | `id_aria192_ccm`
    `static ASN1ObjectIdentifier` | `id_aria192_cfb`
    `static ASN1ObjectIdentifier` | `id_aria192_cmac`
    `static ASN1ObjectIdentifier` | `id_aria192_ctr`
    `static ASN1ObjectIdentifier` | `id_aria192_ecb`
    `static ASN1ObjectIdentifier` | `id_aria192_gcm`
    `static ASN1ObjectIdentifier` | `id_aria192_kw`
    `static ASN1ObjectIdentifier` | `id_aria192_kwp`
    `static ASN1ObjectIdentifier` | `id_aria192_ocb2`
    `static ASN1ObjectIdentifier` | `id_aria192_ofb`
    `static ASN1ObjectIdentifier` | `id_aria256_cbc`
    `static ASN1ObjectIdentifier` | `id_aria256_ccm`
    `static ASN1ObjectIdentifier` | `id_aria256_cfb`
    `static ASN1ObjectIdentifier` | `id_aria256_cmac`
    `static ASN1ObjectIdentifier` | `id_aria256_ctr`
    `static ASN1ObjectIdentifier` | `id_aria256_ecb`
    `static ASN1ObjectIdentifier` | `id_aria256_gcm`
    `static ASN1ObjectIdentifier` | `id_aria256_kw`
    `static ASN1ObjectIdentifier` | `id_aria256_kwp`
    `static ASN1ObjectIdentifier` | `id_aria256_ocb2`
    `static ASN1ObjectIdentifier` | `id_aria256_ofb`
    `static ASN1ObjectIdentifier` | `id_pad`
    `static ASN1ObjectIdentifier` | `id_pad_1`
    `static ASN1ObjectIdentifier` | `id_pad_null`
    `static ASN1ObjectIdentifier` | `id_sea`
    `static ASN1ObjectIdentifier` | `nsri`

- - ### Field Detail

    - #### nsri

          static final ASN1ObjectIdentifier nsri

    - #### id_algorithm

          static final ASN1ObjectIdentifier id_algorithm

    - #### id_sea

          static final ASN1ObjectIdentifier id_sea

    - #### id_pad

          static final ASN1ObjectIdentifier id_pad

    - #### id_pad_null

          static final ASN1ObjectIdentifier id_pad_null

    - #### id_pad_1

          static final ASN1ObjectIdentifier id_pad_1

    - #### id_aria128_ecb

          static final ASN1ObjectIdentifier id_aria128_ecb

    - #### id_aria128_cbc

          static final ASN1ObjectIdentifier id_aria128_cbc

    - #### id_aria128_cfb

          static final ASN1ObjectIdentifier id_aria128_cfb

    - #### id_aria128_ofb

          static final ASN1ObjectIdentifier id_aria128_ofb

    - #### id_aria128_ctr

          static final ASN1ObjectIdentifier id_aria128_ctr

    - #### id_aria192_ecb

          static final ASN1ObjectIdentifier id_aria192_ecb

    - #### id_aria192_cbc

          static final ASN1ObjectIdentifier id_aria192_cbc

    - #### id_aria192_cfb

          static final ASN1ObjectIdentifier id_aria192_cfb

    - #### id_aria192_ofb

          static final ASN1ObjectIdentifier id_aria192_ofb

    - #### id_aria192_ctr

          static final ASN1ObjectIdentifier id_aria192_ctr

    - #### id_aria256_ecb

          static final ASN1ObjectIdentifier id_aria256_ecb

    - #### id_aria256_cbc

          static final ASN1ObjectIdentifier id_aria256_cbc

    - #### id_aria256_cfb

          static final ASN1ObjectIdentifier id_aria256_cfb

    - #### id_aria256_ofb

          static final ASN1ObjectIdentifier id_aria256_ofb

    - #### id_aria256_ctr

          static final ASN1ObjectIdentifier id_aria256_ctr

    - #### id_aria128_cmac

          static final ASN1ObjectIdentifier id_aria128_cmac

    - #### id_aria192_cmac

          static final ASN1ObjectIdentifier id_aria192_cmac

    - #### id_aria256_cmac

          static final ASN1ObjectIdentifier id_aria256_cmac

    - #### id_aria128_ocb2

          static final ASN1ObjectIdentifier id_aria128_ocb2

    - #### id_aria192_ocb2

          static final ASN1ObjectIdentifier id_aria192_ocb2

    - #### id_aria256_ocb2

          static final ASN1ObjectIdentifier id_aria256_ocb2

    - #### id_aria128_gcm

          static final ASN1ObjectIdentifier id_aria128_gcm

    - #### id_aria192_gcm

          static final ASN1ObjectIdentifier id_aria192_gcm

    - #### id_aria256_gcm

          static final ASN1ObjectIdentifier id_aria256_gcm

    - #### id_aria128_ccm

          static final ASN1ObjectIdentifier id_aria128_ccm

    - #### id_aria192_ccm

          static final ASN1ObjectIdentifier id_aria192_ccm

    - #### id_aria256_ccm

          static final ASN1ObjectIdentifier id_aria256_ccm

    - #### id_aria128_kw

          static final ASN1ObjectIdentifier id_aria128_kw

    - #### id_aria192_kw

          static final ASN1ObjectIdentifier id_aria192_kw

    - #### id_aria256_kw

          static final ASN1ObjectIdentifier id_aria256_kw

    - #### id_aria128_kwp

          static final ASN1ObjectIdentifier id_aria128_kwp

    - #### id_aria192_kwp

          static final ASN1ObjectIdentifier id_aria192_kwp

    - #### id_aria256_kwp

          static final ASN1ObjectIdentifier id_aria256_kwp